Bug 1385423 - ninja is installed as ninja-build
Summary: ninja is installed as ninja-build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gyp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-17 01:40 UTC by Martin Thomson
Modified: 2016-11-19 21:01 UTC (History)
1 user (show)

Fixed In Version: gyp-0.1-0.21.920ee58git.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:01:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Thomson 2016-10-17 01:40:42 UTC
Description of problem:
ninja is commonly installed as just `ninja`, but the fedora package installs a `ninja-build` binary.  gyp doesn't realize this.

Version-Release number of selected component (if applicable):
gyp 0.20.0bb6747git.fc25

How reproducible:
Yep

Steps to Reproduce:
1. Find a package of your choice and run: gyp -f ninja <usual arguments> --build=Debug

Actual results: a stacktrace:
Building [Debug]: ['ninja', '-C', './out/Debug']
Traceback (most recent call last):
  File "/usr/bin/gyp", line 9, in <module>
    load_entry_point('gyp==0.1', 'console_scripts', 'gyp')()
  File "/usr/lib/python2.7/site-packages/gyp/__init__.py", line 532, in script_main
    return main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/gyp/__init__.py", line 525, in main
    return gyp_main(args)
  File "/usr/lib/python2.7/site-packages/gyp/__init__.py", line 517, in gyp_main
    generator.PerformBuild(data, options.configs, params)
  File "/usr/lib/python2.7/site-packages/gyp/generator/ninja.py", line 2349, in PerformBuild
    subprocess.check_call(arguments)
  File "/usr/lib64/python2.7/subprocess.py", line 536, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python2.7/subprocess.py", line 523, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1343, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory


Expected results: a build

Additional info:

Comment 1 Akira TAGOH 2016-10-17 03:58:49 UTC
Fixed in gyp-0.1-0.21.920ee58git.

Comment 2 Fedora Update System 2016-10-19 08:31:30 UTC
gyp-0.1-0.21.920ee58git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a918af45d1

Comment 3 Fedora Update System 2016-11-19 21:01:37 UTC
gyp-0.1-0.21.920ee58git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.